Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.builders.impl
Class GenericCommonBuilderImpl

    java.lang.Object
      be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
          be.ehealth.business.mycarenetcommons.builders.impl.GenericCommonBuilderImpl

All Implemented Interfaces:
  CommonBuilder, ConfigurableImplementation

    public class GenericCommonBuilderImpl

extends AbstractCommonBuilderImpl

fully configurable commonBuilder. configured with
Implementation for the `AbstractCommonBuilderImpl` abstract class. This builder is configured with the following properties :

- mycarenet.{projectname}.careprovider.nihii.quality (required)
- mycarenet.{projectname}.careprovider.nihii.value (required)
- mycarenet.{projectname}.careprovider.{physicalperson|organization}.{name|ssin|cbe|nihii.value|nihii.quality}
- mycarenet.{projectname}.sender.{physicalperson|organization}.{name|ssin|cbe|nihii.value|nihii.quality}
- mycarenet.{projectname}.site.id

the same default system as the other connector properties are used:
if the property mycarenet.{projectname}.usedefaultproperties = false , the properties with mycarenet.{projectname} must be filled out, otherwise the mycarenet.default.xxx properties are used.

Field Summary

Fields inherited from interface be.ehealth.business.mycarenetcommons.builders.CommonBuilder
`PROJECT_NAME_KEY`

Constructor Summary
`GenericCommonBuilderImpl()`

Method Summary
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

Methods inherited from class be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
`createCommonInput, createCommonInput, createOrigin, createOrigin, createRouting, createRoutingToMutuality`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericCommonBuilderImpl

    public GenericCommonBuilderImpl()

Method Detail

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Overrides:
    `initialize` in class `AbstractCommonBuilderImpl`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.
  See Also:
    `AbstractCommonBuilderImpl.initialize(java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.